{ lib, pkgs, config, myconfig, mylibs, ... }:
let
    cfg = config.services.myWebsites.Temp;
    varDir = "/var/lib/ftp/temp.immae.eu";
    env = myconfig.env.websites.temp;
in {
  options.services.myWebsites.Temp = {
    production = {
      enable = lib.mkEnableOption "enable Temp' website";
    };
  };

  config = lib.mkIf cfg.production.enable {
    security.acme.certs."eldiron".extraDomains."temp.immae.eu" = null;

    services.myWebsites.production.modules = [ "headers" ];
    services.myWebsites.production.vhostConfs.temp = {
      certName    = "eldiron";
      hosts       = [ "temp.immae.eu" ];
      root        = varDir;
      extraConfig = [
        ''
        Use Apaxy "${varDir}" "title"
        <FilesMatch ".+">
          Header set Content-Disposition attachment
        </FilesMatch>
        <Directory "${varDir}">
          Options -Indexes
          AllowOverride None
          Require all granted
        </Directory>

        <DirectoryMatch "${varDir}/(.+)">
          Options Indexes
        </DirectoryMatch>
        ''
      ];
    };
  };
}

